summaryrefslogtreecommitdiff
path: root/init.d/hostid.in
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2014-12-03 10:13:41 -0600
committerWilliam Hubbs <w.d.hubbs@gmail.com>2014-12-03 10:13:41 -0600
commit1267025fb76af18e31b2c7de16606abbb9b87ea3 (patch)
tree8cc3a36b1dd7e1438d05a293cae8eac572126a7c /init.d/hostid.in
parent30cc3cdb76a66c7c0f89a52db4e5cff77b570e31 (diff)
Diffstat (limited to 'init.d/hostid.in')
-rw-r--r--init.d/hostid.in80
1 files changed, 0 insertions, 80 deletions
diff --git a/init.d/hostid.in b/init.d/hostid.in
deleted file mode 100644
index 4495ddf6..00000000
--- a/init.d/hostid.in
+++ /dev/null
@@ -1,80 +0,0 @@
-#!@SBINDIR@/openrc-run
-# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
-
-extra_commands="reset"
-: ${hostid_file:=/etc/hostid}
-
-depend()
-{
- use root
- before devd net
- keyword -jail -prefix
-}
-
-_set()
-{
- local id=0
-
- if [ -n "$1" ]; then
- id=$(echo "$1" | md5)
- id="0x${id%????????????????????????}"
- fi
- ebegin "Setting Host ID: $id"
- sysctl -w kern.hostid="$id" >/dev/null
- eend $? || return 1
-
- if sysctl -n kern.hostuuid >/dev/null 2>&1; then
- [ -n "$1" ] && id=$1
- ebegin "Setting Host UUID: $id"
- sysctl kern.hostuuid="$id" >/dev/null
- eend $? || return 1
- fi
-
-}
-
-# First we check to see if there is a system UUID
-# If so then we use that and erase the hostid file,
-# otherwise we generate a random UUID.
-reset()
-{
- local uuid= x="[0-9a-f]" y="$x$x$x$x"
-
- if command -v kenv >/dev/null 2>&1; then
- uuid=$(kenv smbios.system.uuid 2>/dev/null)
- fi
- case "$uuid" in
- $y$y-$y-$y-$y-$y$y$y);;
- *) uuid=;;
- esac
-
- if [ -n "$uuid" ]; then
- rm -f "$hostid_file"
- else
- uuid=$(uuidgen)
- if [ -z "$uuid" ]; then
- eerror "Unable to generate a UUID"
- return 1
- fi
- if ! echo "$uuid" >"$hostid_file"; then
- eerror "Failed to store UUID in \`$hostid_file'"
- return 1
- fi
- fi
-
- _set "$uuid"
-}
-
-start()
-{
- if [ -r "$hostid_file" ]; then
- _set $(cat "$hostid_file")
- else
- reset
- fi
-}
-
-stop()
-{
- _set
-}